<?xml version='1.0' encoding='UTF-8' ?>
<!--
@author javier.aponte
@description Composite component para el almacenamiento en memoria de trámites seleccionados

@version 1.0

PRE:
* se usa dentro de las páginas del proyecto que usan alguno de los templates que incluyen snc.js


D:
OJO: hacer el update de la tabla en el botón de eliminar uno de los predios NO SIRVE.
Aunque no dice que no encuentra el componente si se usa update="tramitesSeleccionadosDT", de todas
formas no refresca la tabla; esa tabla aperece en el código fuente como idComponente:tramitesSeleccionadosDT,
pero si se pone así en el update dice que no lo encuentra y genera un error.
La forma que funcionó para que hiciera el refresco de la tabla fue hacer update de la forma que la
contiene, y para referirse a ella hay que usar el nombre incluyendo el idComponente.
Funciona, pero es ineficiente porque refrescaría todos los comopnentes dentro de la forma
-->

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui"
      xmlns:composite="http://java.sun.com/jsf/composite">

    <composite:interface>

        <composite:attribute name="managedBean" required="true" default="consultaPredio" />
        <composite:attribute name="thisWVName" required="true"
                             shortDescription="valor del atributo widgetvar de este dialog"/>
        <composite:attribute name="consultaTramiteWV" required="true"
                             shortDescription="valor del atributo widget var de la ventana de consulta de trámites"/>
        <composite:attribute name="ccIdsChain1" required="true"
                             shortDescription="es la cadena para los componentes de tramitesSeleccionadosCC" />                

    </composite:interface>

    <composite:implementation>

        <div id="#{cc.clientId}">

            <p:dialog widgetVar="#{cc.attrs.thisWVName}"
                      modal="false"
                      appendToBody="true" minHeight="300" minWidth="750"
                      header="Trámites seleccionados"
                      closable="true" maximizable="true" minimizable="false">

                <h:form id="formTS">

                    <p:messages id="msjTramite" />
                    <p:spacer height="5" width="0"/>

                    <h:panelGrid columns="3">
                        <p:commandButton value="Limpiar trámites seleccionados"
                                         id="limpiarPredios" action="#{cc.attrs.managedBean.limpiarTramites}"
                                         icon="ui-icon-trash" update="tramitesSeleccionadosDT, msjTramite"
                                         immediate="true" />
                        <p:spacer height="0" width="13"/>               
                    </h:panelGrid>        

                    <p:spacer height="10" />
                    <h:panelGrid columns="1">
                        <center>
                            <p:dataTable id="tramitesSeleccionadosDT"
                                         value="#{cc.attrs.managedBean.tramitesSeleccionados}"
                                         var="currentTramite" paginator="true"
                                         rows="10"
                                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                         rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                                         emptyMessage="No hay trámites seleccionados">

                                <p:column headerText="Opciones">
                                    <p:commandButton title="Eliminar"
                                                     action="#{cc.attrs.managedBean.eliminarTramite}"
                                                     update=":#{cc.clientId}:formTS" immediate="true" ajax="true"
                                                     icon="ui-icon-trash">
                                        <f:setPropertyActionListener value="#{currentTramite}"
                                                                     target="#{cc.attrs.managedBean.tramiteSeleccionado2}" />
                                    </p:commandButton>
                                </p:column>

                                <p:column headerText="Número de radicación">
                                    <h:outputText value="#{currentTramite.numeroRadicacion}" />
                                </p:column>

                                <p:column headerText="Departamento">
                                    <h:outputText value="#{currentTramite.departamento.nombre}" />
                                </p:column>

                                <p:column headerText="Municipio">
                                    <h:outputText value="#{currentTramite.municipio.nombre}" />
                                </p:column>

                            </p:dataTable>
                        </center>
                    </h:panelGrid>

                </h:form>
            </p:dialog>

        </div>

    </composite:implementation>

</html>